Unit tde15e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE15E_p, DE15E_p;

function tde15e: String;

implementation

function tde15e: String;
var
M,JSTART,IH,IERR,_i :Integer;
HMIN,EPS,P,H,Y1,Y2,XP,X :Extended;
BUL :Boolean;
YX :Array [0..1] of Extended;
YP :Array [0..1] of Extended;
DY :Array [0..1] of Extended;
R1 :Array [0..1] of Extended;
R2 :Array [0..1] of Extended;
R3 :Array [0..1] of Extended;
R4 :Array [0..1] of Extended;
label
_6,_103,_104,_105,_20;
begin
Result := '';  {   }
M := 2;
JSTART := 0;
HMIN := 1.e-12;
EPS := 1.e-5;
P := 100.e0;
YX[0] := 1.e0;
YX[1] := -2.e0;
X := 0.e0;
H := 0.01e0;
BUL := False;
IH := 0;
_6:
DE15E(FDE15E,M,JSTART,HMIN,EPS,P,YX,X,H,BUL,XP,YP,DY,R1,
     R2,R3,R4,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%3d ',[IERR]) + #$0D#$0A;
if ( IERR <> 0 )
 then goto _20;
Y1 := 0.1e0*X+Sin(X)+1.e0;
Y2 := -0.1e0*X-Cos(X)-1.e0;
Result := Result + Format('%20.16f ',[X]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[YX[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%20.16f  %20.16f  %20.16f ',
 [H,Y1,Y2]) + #$0D#$0A;
IH := IH+1;
case IH of
 1: goto _6;
 2: goto _6;
 3: goto _103;
 4: goto _104;
 5: goto _105;
 6: goto _6;
 7: goto _20;
end;
_103:
JSTART := -1;
H := -0.005e0;
goto _6;
_104:
JSTART := -1;
H := 0.02e0;
goto _6;
_105:
JSTART := -1;
H := 0.01e0;
goto _6;
_20:
UtRes('tde15e',Result);  {     tde15e.res }
exit;
end;

end.
